:root {
    --background: #000016;
    --main: #e5b9ff;
    --margin: 15px;
}

@font-face {
    font-family: 'RW Stephensii';
    src: url('fonts/RandomWikiStephensii-Regular.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Nightingale';
    src: url('fonts/DTNightingale-Light.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Scorpius';
    src: url('fonts/scorpius.otf') format('opentype');
    font-weight: bold;
    font-style: normal;
}

html{
    box-sizing: border-box;
    background-color: var(--background);
    font-family: 'Scorpius', sans-serif;
    color: var(--main);
    font-size: 15px;
    -ms-overflow-style: none;
    scrollbar-width: none;
    scroll-behavior: smooth;
}
html::-webkit-scrollbar {display: none;}
body{
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    /* width: 100vw; */
    /* height: 100vh; */
    overflow: scroll;
}
/* #ocean, #swup{
    width: 300vw;
    height: 300vh;
} */
body > *{
    margin: 0;
    scrollbar-width: none;
    scroll-behavior: smooth;
}
*, *:before, *:after{
    box-sizing: inherit;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
body *, #swup * {cursor: none;}
body.loading{pointer-events: none;}
a{color: inherit; text-decoration: none;}
h1{font-family: 'RW Stephensii'; color: var(--background); font-size: 3em;}
h2{font-family: 'Scorpius'; font-size: 2em;}
h3 {
    text-align: center;
    margin: auto;
    font-family: 'RW Stephensii';
}
h4 {
    display: inline-block;
    font-size: 1.8em;
    font-family: 'RW Stephensii';
}

h5 {font-size: 0.8rem;}

#swup {
    min-width: 100vw;
    min-height: 100vh;
    top: 0;
    left: 0;
    z-index: 0;
}
#ocean, #thunder, #sound-map{
    position: fixed;
    width: 100vw;
    height: 100vh;
    pointer-events: none;
    top: 0;
    z-index: 0;
}
body.seascape #ocean, body.seascape #thunder, body.seascape #sound-map, body.seascape #swup {position: absolute; width: 250vw; height: 250vw;}
/* body.seascape #swup{position: absolute; width: 300vw; height: 300vw;} */
#ocean{filter: blur(50px);}
#thunder {filter: blur(5px);left: 0;}

.header, .footer{
    position: fixed;
    height: 4vh;
    width: 100%;
    padding: 0 15px;
    margin: 30px 0;
    display: flex;
    gap: 15px;
    align-items: center;
}
.header{position: sticky; top: 30px;}
#main-title .header img, #main-title .footer img{height: 100%;}
#main-title .header{ margin: 0; justify-content: flex-end; z-index: 1;}
#main-title .footer{bottom: 0;}
#main-title .footer.logo{
    justify-content: center;
    position: sticky;
    bottom: 30px;
    text-shadow: 0 0 10px var(--main);
}

.credits-container{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    width: 100vw;
    min-height: 100vh;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    backdrop-filter: blur(10px);
    display: none;
    transition: opacity 0.5s;
    opacity: 0;
}
.credits-container.shown{opacity: 1;}
footer{
    position: fixed;
    display: flex;
    justify-content: flex-end;
    /* width: calc(100% - 30px); */
    bottom: 30px;
    pointer-events: none;
    filter: drop-shadow(0 0 5px var(--main));
    
}
.seascape footer{
    justify-content: space-between;
    width: calc(100% - 30px);
    align-items: flex-end;
    height: calc(100% - 60px);
    top: 30px;
}
footer *{transition: all 0.5s; font-size: 1.8rem; height: fit-content; pointer-events: auto;}
footer h1{margin: 0;}
footer h1:hover{text-shadow: 0 0 10px var(--main); color: var(--main);}
footer .practical-info{display: flex; flex-direction: column; gap: 15px; align-self: flex-end;}
footer .practical-info .accButton{
    background-color: black;
    color: white;
    font-family: monospace;
    font-weight: 200;
    padding: 0 20px;
    border: 1px solid;
    filter: none;
    border-radius: 25px;
    padding-bottom: 7px;
    position: absolute;
    right: 0;
    bottom: 0;
}
footer .practical-info .accButton a{font-size: 1rem;}
footer .practical-info.hidden{display: none;}
footer .to-home {align-self: flex-start;}

/* .header.home{ position: fixed; justify-content: flex-end; margin: 15px 0; top: 0;} */

/* Transition animations */
.transition-fade {
    transition: 1.2s;
    opacity: 1;
    filter: blur(0);
}

html.is-animating .main {
    pointer-events: none;
}

html.is-animating .transition-fade {
    opacity: 0;
    filter: blur(20px);
}

/* Content layout and styling */
#cursor {
    display: block;
    position: fixed;
    z-index: -1;
    top: 42vw;
    left: 42vw;
    width: 7vw;
    height: 7vw;
    border-radius: 8vw;
    filter: blur(30px);
    background-color: var(--main);
    pointer-events: none;
}

#main-title, .content-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: calc(92vh - 30px);
    align-items: center;
}
#main-title{height: 90vh; width: 100vw; justify-content: space-between;}
#main-title .title{text-align: center;}
#main-title h1{ 
    font-size: 9em;
    display: flex;
    flex-direction: column;
    width: 55vw;
}
#main-title h1 span:nth-child(2){text-align: right;}
#main-title h2{font-size: 2.5em;}
.content{
    width: 65%; 
    text-align: justify;
    padding: 3% 0;
    font-family: 'Nightingale';
    font-size: 1.3em;
    line-height: 1.5;
}
.content strong{
    font-family: 'RW Stephensii';
    font-size: 1.5rem;
    text-shadow: 0 0 10px var(--main);
}
.credits-container .content strong{text-shadow: 0 0 10px var(--background)}
.content a{
    /* font-family: 'Scorpius'; */
    /* font-size: 1.3em; */
    text-shadow: 0 0 10px var(--main);
    transition: color 0.7s;
}
.content a:hover{color: var(--background);}
.content p:has(> a.button) {
    background-color: var(--background);
    padding: 15px;
    border-radius: 40px;
    border: 1px solid;
    filter: drop-shadow(0 0 10px);
    /* line-height: 3; */
    font-family: 'RW Stephensii';
}
.get-updates .content {text-align: center;}
.introduction .content h1 {text-align: right; text-shadow: 0 0 10px var(--main);}
.open-call .content h1 {
    line-height: 1;
    text-shadow: 0 0 10px var(--main);
    text-align: center;
}
.about .content h1 {
    display: inline;
    color: inherit;
    font-size: 2em;
}
/* .about .content p:first-of-type{display: inline;} */
.about .content p:nth-child(8), .bubble.about p:nth-child(8){text-align: center;}
.about .content p:last-of-type, .bubble.about p:last-of-type{text-align: center; padding-top: 10%;}

/* .biography .content p{width: 80%;} */
.commissions .content, .public-programme .content{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}
.content figure{
    width: 50%;
    filter: drop-shadow(0 0 10px);
    float: right;
}
.content figure.portrait{width: 30%;}
.content figure img{width: 100%; border-radius: 50%;}
.content figure figcaption {
    font-style: italic;
    text-align: center;
    font-size: 0.8em;
}
.content .commission{
    width: 80%;
    margin: auto;
    margin-top: 100px;
}
.content .commission::before{
    content: '';
    width: 100%;
    border-top: 1px solid;
    display: block;
}
.content .commission h2{text-align: center;}
.content .artwork-link {
    text-align: center;
    font-size: 2rem;
}
.biography .content mux-player{margin: 60px 0; cursor: pointer !important;}

.credits-container .content {
    max-width: 50vw;
    padding: var(--margin);
    max-height: 80vh;
    overflow: scroll;
    background-color: var(--main);
    color: var(--background);
    -ms-overflow-style: none;
    scrollbar-width: none;
    filter: drop-shadow(0 0 10px var(--main));
    border-radius: 25px;
    cursor:auto;
}
.credits-container .content::-webkit-scrollbar { display: none;}
.credits-container .close{ line-height: 0;}
.credits-container .content, .credits-container .content * {cursor: auto !important;}
.credits-container .content a{
    text-shadow: 0 0 10px var(--background);
    color: var(--main);
    transition: color 0.7s;
}
.credits-container .content .sponsors, .credits .content .sponsors{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-top: 30px;
}
.content .sponsors object {width: 20%;}
.content .sponsors img {width: 25%;}
.credits-container .content a:hover{color: var(--background);}

/* Menu Bubbles */
.menu, .menu-acc, .bubble.contr {
    line-height: 1;
    font-size: 1.4em;
    font-family: 'RW Stephensii';
}

.menu .bubble, .bubble.contr, .menu-acc a {
    padding: 15px;
    border-radius: 55px;
    /* height: 50px; */
    background-color: var(--background);
    transition: filter 2.6s, opacity 0.6s;;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}
.bubble{position: absolute; opacity: 0;}
.bubble.shown{opacity: 1;}
.bubble.content {width: 60vw;}
.bubble.image{width: 25vw;}
.bubble.image img{width: 100%;}
.bubble.image figcaption {text-align: center;}

.menu-acc .artist, .menu-acc a.active{filter: drop-shadow(0 0 10px); pointer-events: none;}
/* .menu a.active{flex-grow: 2;} */
.menu li:hover, .menu-acc a:hover, .bubble.contr:hover{filter: drop-shadow(0 0 10px) blur(2px); cursor: pointer;}

/* Accessible site */
.menu-acc{
    display: flex;
    gap: 15px;
    width: 100%;
    justify-content: center;
    position: sticky;
    top: 30px;
}

/* MOBILE REDIRECT PAGE */
#mobile-redirect {
    height: 100vh;
    position: fixed;
    top: 0;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.3rem;
}
#mobile-redirect .message-container {width: 80%;}
#mobile-redirect .message-container a{text-align: center; display: block; font-size: 3rem;}

#popup-blocked-message{
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    color: var(--background);
    font-family: 'Nightingale', serif;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    z-index: 1;
    cursor: auto;
}
#popup-blocked-message * {cursor: auto;}
#popup-blocked-message .message-container{
    background-color: var(--main);
    padding: 20px;
    text-align: left;
    max-width: 500px;
    border-radius: 20px;
    height: fit-content;
}
#popup-blocked-message .message-container .retry-links{ display: flex; justify-content: space-around;}
#popup-blocked-message .message-container a{ 
    padding: 5px 15px; 
    border: 2px solid; 
    border-radius: 10px;
    border-radius: 20px;
    padding-top: 10px;
    transition: all 0.3s;
}
#popup-blocked-message .message-container a:hover{color: var(--main); background-color: var(--background);}
/* TESTING (Shamica) */
.sound-area{ width: 200px; height: 200px; position: fixed; background-color: blue;}
#soundMap {position: fixed;top: 0;left: 0;z-index: 1000; pointer-events: none;}



@media screen and (max-width: 500px) {
    html {font-size: 10px; }
    /* #ocean,
    #thunder {
        position: fixed;
        width: 100vw;
        height: 100vh;} */
    #swup{overflow: initial; position: initial;}
    #main-title{justify-content: space-around;}
    #main-title h1 { width: 95vw;}
    #main-title .header{height: 5%;}
    h1{font-size: 2em;}
    h3{border-radius: 60px;}
    .menu .bubble{font-size: 1.8rem;}
    .bubble.content{width: 75vw;}
    .bubble.image{width: 50vw;}
    .bubble.image figcaption{font-size: 1.5rem;}
    footer{
        width: fit-content;
        flex-direction: column;
        height: 100vh;
        bottom: 0;
        filter: none;
    }
    footer * {font-size: 2.5rem;}
    footer h1{color: var(--main);}
    footer .practical-info, footer .to-home{
        flex-direction: row;
        width: 100vw;
        padding: 10px 0;
    }
    footer .practical-info{
        justify-content: space-evenly;
        background: linear-gradient(var(--background) 50%, rgba(0, 0, 0, 0) 100%);
    }
    footer .practical-info.hidden{pointer-events: none;}
    footer .to-home{
        text-align: center;
        background: linear-gradient(rgba(0, 0, 0, 0) 0%, var(--background) 50%);
    }
    .credits-container .content{max-width: 75vw; max-height: 70vh;}
    .content{
        width: 85%;
        font-size: 1.5em;
        line-height: 1.8;
        letter-spacing: 1px;
        padding-bottom: 5vh;
    }
    .content .sponsors img { height: 25%;}
    .content figure{width: 100%;}
    .content figure.portrait { width: 80%;}
    .biography .content p{width: 100%;}
    .header{
        top: 0;
        overflow-y: scroll;
        height: 100px;
        margin: 0;
    }
    .menu-acc{width: 150%; height: 50px; padding-left: 25px; font-size: 2rem;}
    .menu-acc a {
        display: flex;
        align-items: center;
    }
    .menu-acc a.pavillion-button{display: none;}
}
